Request sender delisting
const options = {
method: 'POST',
headers: {'X-Customer-Handle': '<x-customer-handle>', 'X-API-KEY': '<api-key>'}
};
fetch('https://api.mailchannels.net/outbound/v1/remediation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.mailchannels.net/outbound/v1/remediation"
headers = {
"X-Customer-Handle": "<x-customer-handle>",
"X-API-KEY": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailchannels.net/outbound/v1/remediation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>",
"X-Customer-Handle: <x-customer-handle>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://api.mailchannels.net/outbound/v1/remediation \
--header 'X-API-KEY: <api-key>' \
--header 'X-Customer-Handle: <x-customer-handle>'{
"code": 123,
"errors": [
"<string>"
],
"message": "<string>"
}{
"code": 123,
"errors": [
"<string>"
],
"message": "<string>"
}{
"code": 123,
"errors": [
"<string>"
],
"message": "<string>"
}Request sender delisting
Request delisting for a sender identified by a message ID or envelope sender address. Provide at least one of message_id or sender. If you provide both, message_id is used to find the message.
This endpoint supports sender delisting only. It does not accept false positive or false negative reports or other content remediation requests.
POST
/
remediation
Request sender delisting
const options = {
method: 'POST',
headers: {'X-Customer-Handle': '<x-customer-handle>', 'X-API-KEY': '<api-key>'}
};
fetch('https://api.mailchannels.net/outbound/v1/remediation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.mailchannels.net/outbound/v1/remediation"
headers = {
"X-Customer-Handle": "<x-customer-handle>",
"X-API-KEY": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailchannels.net/outbound/v1/remediation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>",
"X-Customer-Handle: <x-customer-handle>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
Headers
The authentication header added by the API gateway.
Query Parameters
The ID of the message to use for the delisting request. Required if sender is omitted.
The envelope sender address from the SMTP MAIL FROM command. Required if message_id is omitted.
Response
The sender delisting request completed successfully.
Was this page helpful?

